Hi all, I am trying to install linecache19 gem with rails 3.0.5. I am
getting following error. Can you please help me out.


---------------------------------------------------------------------------Installing
ruby_core_source (0.1.4)
Installing linecache19 (0.5.11) with native extensions
/home/seneca/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:552:in
`rescue in block in build_extensions': ERROR: Failed to build gem native
extension. (Gem::Installer::ExtensionBuildError)

/home/seneca/.rvm/rubies/ruby-1.9.2-p290/bin/ruby extconf.rb
checking for vm_core.h... no
checking for vm_core.h... no
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Provided configuration options:
--with-opt-dir
--without-opt-dir
--with-opt-include
--without-opt-include=${opt-dir}/include
--with-opt-lib
--without-opt-lib=${opt-dir}/lib
--with-make-prog
--without-make-prog
--srcdir=.
--curdir
--ruby=/home/seneca/.rvm/rubies/ruby-1.9.2-p290/bin/ruby
--with-ruby-dir
--without-ruby-dir
--with-ruby-include
--without-ruby-include=${ruby-dir}/include
--with-ruby-lib
--without-ruby-lib=${ruby-dir}/lib
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/ruby_core_source-0.1.4/lib/ruby_core_source.rb:57:in
`initialize': not in gzip format (Zlib::GzipFile::Error)
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/ruby_core_source-0.1.4/lib/ruby_core_source.rb:57:in
`new'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/ruby_core_source-0.1.4/lib/ruby_core_source.rb:57:in
`block in create_makefile_with_core'
from
/home/seneca/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/1.9.1/tempfile.rb:320:in
`open'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/ruby_core_source-0.1.4/lib/ruby_core_source.rb:51:in
`create_makefile_with_core'
from extconf.rb:20:in `<main>'
Requesting http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.2-p290.tar.gz
Downloading http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.2-p290.tar.gz


Gem files will remain installed in
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/linecache19-0.5.11 for
inspection.
Results logged to
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/linecache19-0.5.11/ext/trace_nums/gem_make.out
from
/home/seneca/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:530:in
`block in build_extensions'
from
/home/seneca/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:505:in
`each'
from
/home/seneca/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:505:in
`build_extensions'
from
/home/seneca/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/installer.rb:180:in
`install'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/source.rb:101:in
`block in install'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/rubygems_integration.rb:78:in
`preserve_paths'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/source.rb:91:in
`install'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/installer.rb:58:in
`block (2 levels) in run'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/rubygems_integration.rb:93:in
`with_build_args'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/installer.rb:57:in
`block in run'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/installer.rb:49:in
`run'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/installer.rb:8:in
`install'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/cli.rb:220:in
`install'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/vendor/thor/task.rb:22:in
`run'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/vendor/thor/invocation.rb:118:in
`invoke_task'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/vendor/thor.rb:263:in
`dispatch'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/lib/bundler/vendor/thor/base.rb:386:in
`start'
from
/home/seneca/.rvm/gems/ruby-1.9.2-p290/gems/bundler-1.0.18/bin/bundle:13:in
`<top (required)>'
from /home/seneca/.rvm/gems/ruby-1.9.2-p290/bin/bundle:19:in `load'
from /home/seneca/.rvm/gems/ruby-1.9.2-p290/bin/bundle:19:in `<main>'
seneca@sg-gd-ubuntu:~/work/Sources$ gem install linecache19
--ruby=/home/seneca/.rvm/rubies/ruby-1.9.2-p290/bin/ruby
ERROR: While executing gem ... (OptionParser::InvalidOption)
invalid option:
--ruby=/home/seneca/.rvm/rubies/ruby-1.9.2-p290/bin/ruby
seneca@sg-gd-ubuntu:~/work/Sources$

--
Posted via http://www.ruby-forum.com/.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedSep 26, '11 at 9:02a
activeSep 26, '11 at 9:02a
posts1
users1
websiterubyonrails.org
irc#RubyOnRails

1 user in discussion

Aashish Kiran: 1 post

People

Translate

site design / logo © 2022 Grokbase